%global fontname cwtex-q
%global fontconf 65-0-%{fontname}
%global archivename %{name}-v02-1
%global archivefontdir ttf

%global common_desc \
The cwTeX fonts were originally created by Tsong-Min Wu and \
Tsong-Huey Wu from 1999-2004. The fonts was later organized \
and modified by Edward G.J. Lee from 2005-2007. \
cwtex-q-fonts project was run by Chen-Pan Liao since 2008.\
The goal is to modify cwTeX fonts to provide higher quality \
and comfort.


Name:           %{fontname}-fonts
Version:        0.2
Release:        1%{?dist}
Summary:        General-purpose Traditional Chinese fonts released by Chen-Pan Liao

License:        GPLv2+
URL:            http://code.google.com/p/cwtex-q-fonts/
Source0:        %{archivename}.tar.xz
Source1:        %{name}-yuan-fontconfig.conf
Source2:        %{name}-ming-fontconfig.conf
Source3:        %{name}-kai-fontconfig.conf
Source4:        %{name}-hei-fontconfig.conf
Source5:        %{name}-fangsong-fontconfig.conf

BuildArch:      noarch
BuildRequires:  fontpackages-devel
Requires: fontpackages-filesystem

%description
%common_desc


#%package common
#Summary:        Common files of <NAME>
#Requires:       fontpackages-filesystem
#
#%description common
#%common_desc
#
#This package consists of files used by other %{name} packages.

# Repeat for every font family ➅
%package -n %{fontname}-yuan-fonts
Summary:        A contemporary Chinese yuan (sans serif) typeface
Requires:       fontpackages-filesystem
#Requires:       %{name}-common = %{version}-%{release}

%description -n %{fontname}-yuan-fonts
%common_desc

The cwTeX Q Yuan font is a contemporary Chinese yaun (sans serif) typeface

%_font_pkg -n yuan -f %{fontconf}-yuan.conf cwTeXQYuan*.ttf
%doc license.txt copying.txt


%package -n %{fontname}-ming-fonts
Summary:        A contemporary Chinese ming (serif) typeface
Requires:       fontpackages-filesystem
#Requires:       %{name}-common = %{version}-%{release}

%description -n %{fontname}-ming-fonts
%common_desc

The cwTeX Q Ming font is a contemporary Chinese ming (serif) typeface

%_font_pkg -n ming -f %{fontconf}-ming.conf cwTeXQMing*.ttf
%doc license.txt copying.txt


%package -n %{fontname}-kai-fonts
Summary:        A contemporary Chinese kai (script) typeface
Requires:       fontpackages-filesystem
#Requires:       %{name}-common = %{version}-%{release}

%description -n %{fontname}-kai-fonts
%common_desc

The cwTeX Q Yuan font is a contemporary Chinese kai (script) typeface

%_font_pkg -n kai -f %{fontconf}-kai.conf cwTeXQKai*.ttf
%doc license.txt copying.txt


%package -n %{fontname}-hei-fonts
Summary:        A contemporary Chinese hei (sans serif) typeface
Requires:       fontpackages-filesystem
#Requires:       %{name}-common = %{version}-%{release}

%description -n %{fontname}-hei-fonts
%common_desc

The cwTeX Q Hei font is a contemporary Chinese Hei (sans serif) typeface

%_font_pkg -n hei -f %{fontconf}-hei.conf cwTeXQHei*.ttf
%doc license.txt copying.txt


%package -n %{fontname}-fangsong-fonts
Summary:        A contemporary Chinese fangsong (serif) typeface
Requires:       fontpackages-filesystem
#Requires:       %{name}-common = %{version}-%{release}

%description -n %{fontname}-fangsong-fonts
%common_desc

The cwTeX Q Fangsong font is a contemporary Chinese fangsong (serif) typeface

%_font_pkg -n fangsong -f %{fontconf}-fangsong.conf cwTeXQFangsong*.ttf
%doc license.txt copying.txt


%prep
%setup -q -n %{archivename}


%build


%install
rm -fr %{buildroot}

install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p %{archivefontdir}/*.ttf %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

# Repeat for every font family
install -m 0644 -p %{SOURCE1} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}-yuan.conf
install -m 0644 -p %{SOURCE2} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}-ming.conf
install -m 0644 -p %{SOURCE3} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}-kai.conf
install -m 0644 -p %{SOURCE4} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}-hei.conf
install -m 0644 -p %{SOURCE5} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}-fangsong.conf

for fconf in %{fontconf}-yuan.conf \
             %{fontconf}-ming.conf \
             %{fontconf}-kai.conf \
             %{fontconf}-hei.conf \
             %{fontconf}-fangsong.conf ; do
  ln -s %{_fontconfig_templatedir}/$fconf \
        %{buildroot}%{_fontconfig_confdir}/$fconf
done


%clean
rm -fr %{buildroot}


#%files common
#%defattr(0644,root,root,0755)
#%doc license.txt copying.txt


%changelog
* Sun Dec 29 2013 Cheng-Chia Tseng <pswo10680@gmail.com> - 0.2-1%{?dist}
- Initial version of the package
